Skip to main content
GET
/
socials
/
uploads
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.socials.listUploads({});

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "object": "<string>",
      "id": "<string>",
      "url": "<string>",
      "filename": "<string>",
      "content_type": "<string>",
      "size_bytes": 123,
      "thumbnail_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of uploads

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string